org.apache.maven.scm.provider.git.gitexe.command.status

## Class GitStatusConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.git.gitexe.command.status.GitStatusConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class GitStatusConsumer
      extends Object
      implements org.codehaus.plexus.util.cli.StreamConsumer

  Version:
    $Id: GitStatusConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
  Author:
    Mark Struberg

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitStatusConsumer(ScmLogger logger, File workingDirectory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `consumeLine(String line)`
    `List` | `getChangedFiles()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GitStatusConsumer

          public GitStatusConsumer(ScmLogger logger,
                           File workingDirectory)

  - ### Method Detail

    - #### consumeLine

          public void consumeLine(String line)

      Specified by:
        `consumeLine` in interface `org.codehaus.plexus.util.cli.StreamConsumer`

    - #### getChangedFiles

          public List getChangedFiles()

Copyright © 2003–2015. All rights reserved.